org.keycloak.crypto

## Enum ECDSASignatureProvider.ECDSA

- java.lang.Object
- - java.lang.Enum<ECDSASignatureProvider.ECDSA>
  - - org.keycloak.crypto.ECDSASignatureProvider.ECDSA

- All Implemented Interfaces:
    Serializable, Comparable<ECDSASignatureProvider.ECDSA>
  Enclosing class:
    ECDSASignatureProvider

      public static enum ECDSASignatureProvider.ECDSA
      extends Enum<ECDSASignatureProvider.ECDSA>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ES256`
    `ES384`
    `ES512`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getSignatureLength()`
    `static ECDSASignatureProvider.ECDSA` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ECDSASignatureProvider.ECDSA[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ES256

          public static final ECDSASignatureProvider.ECDSA ES256

    - #### ES384

          public static final ECDSASignatureProvider.ECDSA ES384

    - #### ES512

          public static final ECDSASignatureProvider.ECDSA ES512

  - ### Method Detail

    - #### values

          public static ECDSASignatureProvider.ECDSA[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ECDSASignatureProvider.ECDSA c : ECDSASignatureProvider.ECDSA.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ECDSASignatureProvider.ECDSA valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getSignatureLength

          public int getSignatureLength()

Copyright © 2021 JBoss by Red Hat. All rights reserved.